summaryrefslogtreecommitdiffstats
path: root/perl-install/live_install
diff options
context:
space:
mode:
authorMystery Man <unknown@mandriva.org>2001-06-11 11:44:34 +0000
committerMystery Man <unknown@mandriva.org>2001-06-11 11:44:34 +0000
commit7507023403933bbd0d851a250a474f85ba6a89d2 (patch)
treec212a6c0eae5ed2c9964c390ebb72970ec08fd08 /perl-install/live_install
parentab5559aaabd1167a18ac882e64d97c5adc0e7d03 (diff)
downloaddrakx-backup-do-not-use-topic/ppp.tar
drakx-backup-do-not-use-topic/ppp.tar.gz
drakx-backup-do-not-use-topic/ppp.tar.bz2
drakx-backup-do-not-use-topic/ppp.tar.xz
drakx-backup-do-not-use-topic/ppp.zip
This commit was manufactured by cvs2svn to create branch 'ppp'.topic/ppp
Diffstat (limited to 'perl-install/live_install')
-rwxr-xr-xperl-install/live_install45
1 files changed, 0 insertions, 45 deletions
diff --git a/perl-install/live_install b/perl-install/live_install
deleted file mode 100755
index c749aa7d7..000000000
--- a/perl-install/live_install
+++ /dev/null
@@ -1,45 +0,0 @@
-#!/bin/sh
-
-if [ "$UID" -ne 0 ]; then
- echo >&2 "you need to be root to start live install"
- exit 3
-fi
-
-if [ -x ./Mandrake/mdkinst/usr/bin/perl-install/live_install2 ]; then
- dir=`pwd`/Mandrake/mdkinst
-elif [ -x ../../../../../Mandrake/mdkinst/usr/bin/perl-install/live_install2 ]; then
- dir=`pwd`/../../..
-else
- echo >&2 "unable to get a working live system to start, check your working directory"
- exit 2
-fi
-
-/bin/rm -rf /tmp/image
-/bin/mkdir -m 0700 /tmp/image || exit 1
-/bin/rm -rf /tmp/drakx
-/bin/mkdir -m 0700 /tmp/drakx || exit 2
-
-for i in Mandrake RPMS misc boot images VERSION
-do
- /bin/ln -sf "$dir/../../$i" "/tmp/image/$i"
-done
-
-/bin/cp -a "$dir/../../Mandrake/mdkinst" "/tmp/drakx"
-
-if [ -x "/tmp/drakx/mdkinst/usr/bin/perl-install/live_install2" ]; then
- # get correct fonts for DrakX.
- if [ -n "$DISPLAY" ]; then
- xset +fp /tmp/drakx/mdkinst/usr/X11R6/lib/X11/fonts/
- xset fp rehash
- fi
-
- # avoid pollution for environment
- unset LC_MONETARY LC_CTYPE LC_NUMERIC LC_MESSAGES LC_TIME LC_COLLATE LANGUAGE LANG RPM_INSTALL_LANG
-
- # start DrakX, do not keep shell script in background else the CD is locked by it!!!
- cd /tmp/drakx/mdkinst/usr/bin/perl-install
- exec ../../../lib/ld-linux.so.2 ../perl ./live_install2
-fi
-
-echo >&2 "unable to get a working live system to start, check your working directory"
-exit 2